## seq-gen 1.3.4

=== source/Makefile ===
CLINKER = cc 
CLIBS = -lm

RM = /bin/rm

LIBS = $(CLIBS)

CFLAGS = -O3

OBJ = seq-gen.o global.o evolve.o model.o nucmodels.o aamodels.o eigen.o treefile.o progress.o gamma.o twister.o

.SUFFIXES: .o .c .h

.c.o:
	$(CLINKER) $(CFLAGS) -c $*.c 

dummy:	default

clean:
	$(RM) -f *~ *.o core

default: all

all: seq-gen

seq-gen: $(OBJ)
	$(CLINKER) $(CFLAGS) -o seq-gen $(OBJ) $(LIBS)

%.o: %.c %.h
	$(CLINKER) $(CFLAGS) -c $<

## seq-gen 1.3.2

=== debian/changelog ===
seq-gen (1.3.2-2) unstable; urgency=low

  [ Alex Mestiashvili ]
  * fixed syntax-error-in-dep5-copyright warning  

  [ Andreas Tille ]
  * Standards-Version: 3.9.2 (no changes needed)
  * debian/copyright:
    - License paragraph for packaging
    - License ist actually BSD license
  * Debhelper 8 (control+compat)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Oct 2011 22:47:16 +0200

seq-gen (1.3.2-1) unstable; urgency=low

  * Initial release (Closes: #617340) 

 -- Alex Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 03 Mar 2011 14:58:34 +0000

=== debian/control ===
Source: seq-gen
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Alex Mestiashvili <alex@biotec.tu-dresden.de>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://tree.bio.ed.ac.uk/software/seqgen/ 
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/seq-gen/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/seq-gen/trunk/

Package: seq-gen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simulate the evolution of nucleotide or amino acid sequences
 Seq-Gen is a program that will simulate the evolution of nucleotide 
 or amino acid sequences along a phylogeny, using common models of the 
 substitution process. A range of models of molecular evolution are 
 implemented including the general reversible model. State frequencies 
 and other parameters of the model may be given and site-specific rate 
 heterogeneity may also be incorporated in a number of ways. Any number
 of trees may be read in and the program will produce any number of data 
 sets for each tree. Thus large sets of replicate simulations can be 
 easily created. It has been designed to be a general purpose simulator
 that incorporates most of the commonly used 
 (and computationally tractable) models of molecular sequence evolution.

=== debian/watch ===
version=3

http://tree.bio.ed.ac.uk/software/seqgen \
	/download\.html\?name=seqgen&version=v(.*)&id=41&num=1 \
	debian 	debian/get-orig-source

## seq-gen 1.3.3

=== debian/changelog ===
seq-gen (1.3.3-1) unstable; urgency=low

  [ Alexandre Mestiashvili ]
  * New upstream release 1.3.3 
  * debian/control section changed to non-free/science
  * fixed debian/watch and debian/get-orig-source scripts
  * debian/seq-gen.1 fixed hyphen-used-as-minus-sign warning

  [ Andreas Tille ]
  * debian/control: Fixed Vcs fields
  * debian/upstream: Added citations
  * debhelper level 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Mar 2012 13:30:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: seq-gen
-Section: science
+Section: non-free/science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
-Uploaders: Alex Mestiashvili <alex@biotec.tu-dresden.de>,
+Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.3
 Homepage: http://tree.bio.ed.ac.uk/software/seqgen/ 
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/seq-gen/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/seq-gen/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/seq-gen/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/seq-gen/trunk/
 
 Package: seq-gen
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ --sourcedirectory=source


override_dh_clean:
	[ ! -f source/seq-gen ] || rm source/seq-gen
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs documentation/Version_History


override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/seq-gen/usr/share/doc/seq-gen/examples/*

=== debian/watch ===
version=3

http://tree.bio.ed.ac.uk/software/seqgen \
	/download\.html\?name=seqgen&version=v(.*)&id=.* \
	debian 	debian/get-orig-source

## seq-gen 1.3.4

=== debian/changelog ===
seq-gen (1.3.4-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 11 Oct 2018 20:17:45 +0200

seq-gen (1.3.4-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata
    - Added references to registries
    - yamllint cleanliness

  [ Alexandre Mestiashvili ]
  * New upstream version 1.3.4
  * Refresh fix_typos.patch
  * Set XS-Autobuild to yes to force transition to testing,
    bump Standards-Version to 4.1.1
  * Drop lintian override for mangled upstream version

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 02 Oct 2017 16:35:44 +0200

seq-gen (1.3.3+git4a8cc9d.ds-1) unstable; urgency=medium

  * New upstream version 1.3.3+git4a8cc9d.ds
  * Refresh fix_typos.patch
  * Add d/README.source describing changes to the source
  * Add d/source/lintian.override,
    no need to mangle version in d/watch regularly

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 11 Sep 2017 16:23:47 +0200

seq-gen (1.3.3-2) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * Update d/watch, get source from github, drop d/get-orig-source
  * New upstream version 1.3.3
  * Apply cme fix dpkg
  * Remove white lines and useles comments from d/rules
  * Update d/copyright, remove trailing white spaces, update copyright years
    remove Files-Excluded section, change BSD license to BSD-3-clause
  * Remove trailing white spaces in d/control
  * Update VCS-* fields in d/control to point to the new git repository
  * Introduce patch fixing makefile, enable hardening flags in d/rules
  * Add patch fixing a typo

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 07 Sep 2017 11:12:31 +0200

=== debian/control ===
Source: seq-gen
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
           Andreas Tille <tille@debian.org>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/seq-gen
Vcs-Git: https://salsa.debian.org/med-team/seq-gen.git
Homepage: http://tree.bio.ed.ac.uk/software/seqgen/

Package: seq-gen
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: simulate the evolution of nucleotide or amino acid sequences
 Seq-Gen is a program that will simulate the evolution of nucleotide
 or amino acid sequences along a phylogeny, using common models of the
 substitution process. A range of models of molecular evolution are
 implemented including the general reversible model. State frequencies
 and other parameters of the model may be given and site-specific rate
 heterogeneity may also be incorporated in a number of ways. Any number
 of trees may be read in and the program will produce any number of data
 sets for each tree. Thus large sets of replicate simulations can be
 easily created. It has been designed to be a general purpose simulator
 that incorporates most of the commonly used
 (and computationally tractable) models of molecular sequence evolution.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=source

override_dh_clean:
	echo $(CFLAGS)
	[ ! -f source/seq-gen ] || rm source/seq-gen
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs documentation/Version_History

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/seq-gen/usr/share/doc/seq-gen/examples/*

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/seq-gen-$1\.tar\.gz/ \
  https://github.com/rambaut/Seq-Gen/tags .*/v?(\d\S*)\.tar\.gz

## seq-gen 1.3.5

=== source/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 LIBS = $(CLIBS)
 
 CFLAGS = -O3
+DEBUG_FLAGS = -g -O0
 
 OBJ = seq-gen.o global.o evolve.o model.o nucmodels.o aamodels.o eigen.o treefile.o progress.o gamma.o twister.o
 
@@ -26,5 +27,11 @@
 seq-gen: $(OBJ)
 	$(CLINKER) $(CFLAGS) -o seq-gen $(OBJ) $(LIBS)
 
+debug: CFLAGS = $(DEBUG_FLAGS)
+debug: seq-gen
+
+%.o: %.c
+	$(CLINKER) $(CFLAGS) -c $<
+
 %.o: %.c %.h
 	$(CLINKER) $(CFLAGS) -c $<

=== debian/changelog ===
seq-gen (1.3.5-2) unstable; urgency=medium

  * Re-add example data to run complete autopkgtest
    Closes: #1122973

 -- Andreas Tille <tille@debian.org>  Tue, 16 Dec 2025 14:36:30 +0100

seq-gen (1.3.5-1) unstable; urgency=medium

  * New upstream version
    Closes: #1114370
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * Use secure URI in Homepage field.
  * Remove obsolete field Name from debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Wed, 03 Dec 2025 16:24:48 +0100

seq-gen (1.3.4-3) unstable; urgency=medium

  * Team Upload.

  [ Steffen Möller ]
  * Update metadata with ref to conda

  [ Nilesh Patra ]
  * Add autopkgtests
  * Drop compat, switch to debhelper-compat 13
  * Add "Rules-Requires-Root:no"
  * Update metdata
  * Bump standards version to 4.5.0

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 25 Jun 2020 20:33:35 +0530

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Section: non-free/science
 XS-Autobuild: yes
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/seq-gen
 Vcs-Git: https://salsa.debian.org/med-team/seq-gen.git
-Homepage: http://tree.bio.ed.ac.uk/software/seqgen/
+Homepage: https://tree.bio.ed.ac.uk/software/seqgen/
+Rules-Requires-Root: no
 
 Package: seq-gen
 Architecture: any

=== debian/watch ===
Version: 5

Template: Github
Owner: rambaut
Project: Seq-Gen
